function [F,irf] = solveadjust_exp2H1(x,b,A0,N,target)
shock=zeros(N,1);
shock(1)=x(1);%PT
shock(2)=x(2);%CT
if isempty(b)
irf=shock'*A0';
else
irf=shock'*A0'*b(1:N,:);
end

%compute objective function
F=[irf(1,1)' irf(1,2)']-target;
%end